
</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from almacen") or die(mysql_error());
	?>
<script>

	if(myLevel!="Master" && myLevel!="Almacen"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script>

    <div class="container-fluid">


        
		<div class="row">
			<div class="col-md-12">
			
			
       <div class="panel panel-default">
         
		  <div class="panel-heading">
			    <h3 class="text-success"><i class="fa fa-box-open fa-lg"></i> Registro de almacen</h3>
         </div>
		 
		  <div class="panel-body">
				<a class="btn btn-success mb-2" href="javascript:void(0)" onClick="modalalmacen()"><i class="fa fa-plus"></i> Registrar un nuevo almacen</a>

       <a class="btn btn-default text-success mb-2" href="javascript:void(0)" onClick="modalalmacen()"><i class="fa fa-home"></i>Salir</a>
        <script type="text/javascript">
          function modalalmacen(){
            $("#modalalmacen").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>
        <br><br>
				<div class="table-responsive border p-3 col-md-6">
					<table class="table  table-hover table-striped table-sm" data-page-length='8'>
						<thead>
							<th>Id almacen</th>
							<th >Nombre</th>
              
              <th width="50">Editar</th>
						</thead>
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
							<tr>
								<td width="50"><?php echo $r["id_almacen"]?></td>
                <td ><span class="text-primary"><?php echo $r["nombre"]?></span></td>
								
             
               <td><a class="" href="#modalalmacen" data-toggle="modal" onClick='ver(<?php echo $r["id_almacen"]?>)'><i class="fa fa-edit"></i></a></td>
							</tr>
                                                        <?php }?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


        </div>
      </div>
          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalalmacen" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-edit"></i> Registro de almacen</h4>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-5">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2 input-sm ml-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre</label>
          <div class="col-sm-8">
            <input autocomplete="off" type="text"  class="form-control mb-2 font-weight-bolde input-sm ml-2" id="nombre" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Encargado</label>
          <div class="col-sm-8">
            <input autocomplete="off" type="text"  class="form-control mb-2 input-sm ml-2" id="encargado" name="encargado" value="">
          </div>
        </div>

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success btn-sm" type="button" onclick="grabar_almacen()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-default btn-sm" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-default  btn-sm" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_almacen="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from almacen where id_almacen='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_almacen= rs.data[i].id_almacen;             
                    $("#nombre").val(rs.data[i].nombre);
                    
                    $("#encargado").val(rs.data[i].encargado);
					
                    
                }
                
            })
        }
  
  function grabar_almacen(){
     if(!confirm("Seguro(a) que desea registrar este almacen?")){return;}                   
    
     var nombre = $("#nombre").val();
     
     var encargado = $("#encargado").val();
     id_almacen = $("#id").val()



     if(nombre==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_almacen==""){
            sql="INSERT INTO almacen set ";
            sql+="nombre='"+nombre+"'";
            sql+=", encargado='"+encargado+"'";
           

        }else{
            sql="UPDATE almacen set ";
            sql+="nombre='"+nombre+"'";
            sql+=", encargado='"+encargado+"'";
            sql+=" WHERE id_almacen='"+id_almacen+"'";
           
            
        }
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_almacen="";
         $("#modalalmacen").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  

 function borrar(){
  
     if(id_almacen==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from almacen where id_almacen='"+id_almacen+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_almacen="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});
         
        </script>

